"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const common_1 = require("../../utils/common");
class Parser {
    static parse({ downloader }) {
        if (!downloader.key) {
            throw new Error("To download AbemaTV, you need to set a key manually");
        }
        for (const key of downloader.m3u8.encryptKeys) {
            downloader.saveEncryptionKey((0, common_1.buildFullUrl)(downloader.m3u8.m3u8Url, key), downloader.key);
        }
        downloader.m3u8.chunks = downloader.m3u8.chunks.filter((chunk) => {
            return !chunk.url.includes("/tspgsl/") && !chunk.url.includes("/tsad/");
        });
        return {};
    }
}
Parser.prefix = "";
exports.default = Parser;
//# sourceMappingURL=abema.js.map