"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const url_1 = require("url");
class Parser {
    static parse({ downloader }) {
        downloader.setOnChunkNaming((chunk) => {
            const pathname = new url_1.URL(chunk.url).pathname.split("/");
            return `${pathname[pathname.length - 2]}_${pathname[pathname.length - 1]}`;
        });
        return {};
    }
}
exports.default = Parser;
//# sourceMappingURL=nicochannel.js.map