"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.timeStringToSeconds = void 0;
function timeStringToSeconds(timeString) {
    if (!timeString.includes(":")) {
        throw new Error("Invalid time string");
    }
    let timeArray = timeString.split(":"), seconds = 0, m = 1;
    while (timeArray.length > 0) {
        const digit = parseInt(timeArray.pop());
        seconds += m * digit;
        m *= 60;
    }
    return seconds;
}
exports.timeStringToSeconds = timeStringToSeconds;
//# sourceMappingURL=time.js.map